Last Comment Bug 735262 - Make leaf address profiling saner
: Make leaf address profiling saner
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Gecko Profiler (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla14
Assigned To: Jeff Muizelaar [:jrmuizel]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 08:37 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2012-04-18 09:57 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Make leaf address profiling saner (2.68 KB, patch)
2012-03-13 08:37 PDT, Jeff Muizelaar [:jrmuizel]
b56girard: review+
Details | Diff | Splinter Review

Description Jeff Muizelaar [:jrmuizel] 2012-03-13 08:37:05 PDT
Created attachment 605410 [details] [diff] [review]
Make leaf address profiling saner

We don't need to store an mLeafAddress field for each profile entry. Instead just add a 'l' tag for the leaf entries.
Comment 1 Benoit Girard (:BenWa) 2012-03-13 09:38:43 PDT
Comment on attachment 605410 [details] [diff] [review]
Make leaf address profiling saner

I think you're missing a ENABLE_SPS_LEAF_DATA near 'aProfile.addTag(ProfileEntry('l', sample->pc));'
Comment 3 Marco Bonardo [::mak] 2012-04-14 06:47:02 PDT
ehr was backed out. please annotate changes to the bugs.
Comment 4 Jeff Muizelaar [:jrmuizel] 2012-04-16 06:01:41 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/773b2db48d0c
Comment 5 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2012-04-16 15:19:49 PDT
I'm seeing in my local build:

In member function ‘void TableTicker::doBacktrace(ThreadProfile&, TickSample*)’:
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:462:48: error: no matching function for call to ‘ProfileEntry::ProfileEntry(char, const char [7], int)’
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:462:48: note: candidates are:
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:141:3: note: ProfileEntry::ProfileEntry(char, Address)
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:141:3: note:   candidate expects 2 arguments, 3 provided
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:136:3: note: ProfileEntry::ProfileEntry(char, uintptr_t)
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:136:3: note:   candidate expects 2 arguments, 3 provided
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:131:3: note: ProfileEntry::ProfileEntry(char, double)
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:131:3: note:   candidate expects 2 arguments, 3 provided
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:126:3: note: ProfileEntry::ProfileEntry(char, const char*)
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:126:3: note:   candidate expects 2 arguments, 3 provided
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:120:3: note: ProfileEntry::ProfileEntry()
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:120:3: note:   candidate expects 0 arguments, 3 provided
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:117:7: note: constexpr ProfileEntry::ProfileEntry(const ProfileEntry&)
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:117:7: note:   candidate expects 1 argument, 3 provided
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:117:7: note: constexpr ProfileEntry::ProfileEntry(ProfileEntry&&)
/home/dbaron/builds/ssd/mozilla-central/mozilla/tools/profiler/TableTicker.cpp:117:7: note:   candidate expects 1 argument, 3 provided
Comment 6 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2012-04-16 15:34:14 PDT
Landed bustage fix after brief discussion with jrmuizel on irc:
https://hg.mozilla.org/integration/mozilla-inbound/rev/bb484a084008
Comment 8 :Ehsan Akhgari 2012-04-18 09:57:44 PDT
This broke the profiling branch, I fixed it in https://hg.mozilla.org/mozilla-central/rev/fe91ab23b390

Note You need to log in before you can comment on or make changes to this bug.